Bug 441192 - Offer a restart button on the "Dolphin must be restarted" dialogs
Summary: Offer a restart button on the "Dolphin must be restarted" dialogs
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: general (show other bugs)
Version: 21.08.0
Platform: Neon Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2021-08-19 20:13 UTC by Nagy Tibor
Modified: 2021-10-11 17:41 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 21.12


Attachments
Screenshot (17.98 KB, image/png)
2021-08-19 20:13 UTC, Nagy Tibor
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nagy Tibor 2021-08-19 20:13:35 UTC
Created attachment 140852 [details]
Screenshot

SUMMARY
When changing some Dolphin settings, for example the version control settings at "Configure Dolphin..." -> "Context Menu", Dolphin throws a dialog that it requires a restart to apply these settings. That dialog currently only offers an Ok button to acknowledge this fact. It would be more user friendly to offer a restart button there to be able take care of that restart straight away. There may be other instances of these restart dialogs I'm not aware of, this should still apply to them.

OBSERVED RESULT

Dolphin must be restarted to apply the updated settings.
[Ok]

EXPECTED RESULT

Dolphin must be restarted to apply the updated settings.
[Restart now] [Later]

SOFTWARE/OS VERSIONS
Operating System: KDE neon 5.22
KDE Plasma Version: 5.22.4
KDE Frameworks Version: 5.84.0
Qt Version: 5.15.3
Comment 1 Bug Janitor Service 2021-09-01 23:01:55 UTC
A possibly relevant merge request was started @ https://invent.kde.org/system/dolphin/-/merge_requests/264
Comment 2 Bug Janitor Service 2021-09-02 19:44:19 UTC
A possibly relevant merge request was started @ https://invent.kde.org/system/dolphin/-/merge_requests/265
Comment 3 Bug Janitor Service 2021-09-23 20:23:26 UTC
A possibly relevant merge request was started @ https://invent.kde.org/system/dolphin/-/merge_requests/277
Comment 4 Nate Graham 2021-10-11 17:41:46 UTC
Git commit 73082d2e42180d3795014738499109c839705622 by Nate Graham, on behalf of Blaster goo.
Committed on 11/10/2021 at 17:41.
Pushed by ngraham into branch 'master'.

Currently, when changing Version Control settings in Configure -> Context Menu, it
tells you to restart to apply those settings. This commit changes that by asking you
if you would like to restart now or later.
FIXED-IN: 21.12

M  +19   -5    src/settings/contextmenu/contextmenusettingspage.cpp

https://invent.kde.org/system/dolphin/commit/73082d2e42180d3795014738499109c839705622